local E, L, V, P, G = unpack(ElvUI);
local GNUI = E:GetModule("GennUI");

function GNUI:LoadGladdyProfile()
local db = LibStub("AceDB-3.0"):New(GladdyXZ, nil, true)
if(GladdyXZ["profiles"]["GennUI"])then
	db:SetProfile("GennUI")
else
	GladdyXZ["profiles"] = {
		["GennUI"] = {
			["cooldownBorderColor"] = {
				["r"] = 0,
				["g"] = 0,
				["b"] = 0,
			},
			["castBarXOffset"] = 232,
			["drDisableCircle"] = true,
			["buffsShowAuraDebuffs"] = true,
			["highlight"] = false,
			["npTremorFont"] = "Futura PT Medium",
			["auraDisableCircle"] = true,
			["castBarYOffset"] = -32,
			["ciBorderStyle"] = "Interface\\AddOns\\Gladdy\\Images\\Border_Gloss",
			["petHealthBarTexture"] = "GennUI Melli",
			["petHealthBarBorderStyle"] = "Gladdy Tooltip squared",
			["auraBorderStyle"] = "Interface\\AddOns\\Gladdy\\Images\\Border_Gloss",
			["buffsBorderStyle"] = "Interface\\AddOns\\Gladdy\\Images\\Border_Gloss",
			["healthBarBorderStyle"] = "Gladdy Tooltip squared",
			["classIconSpecIcon"] = true,
			["healthPercentage"] = false,
			["powerMax"] = false,
			["racialFont"] = "Futura PT Medium",
			["leaderBorder"] = false,
			["ciEnabled"] = false,
			["racialWidthFactor"] = 1,
			["focusBorder"] = false,
			["powerBarHeight"] = 6,
			["healthMax"] = false,
			["petPortraitBorderStyle"] = "Interface\\AddOns\\Gladdy\\Images\\Border_Gloss",
			["npTotemsShowFriendly"] = false,
			["growUp"] = true,
			["trinketBorderStyle"] = "Interface\\AddOns\\Gladdy\\Images\\Border_Gloss",
			["healthActual"] = true,
			["buffsEnabled"] = false,
			["buffsFont"] = "Futura PT Medium",
			["locked"] = true,
			["y"] = 258.0266543889047,
			["auraFont"] = "Futura PT Medium",
			["powerShowRace"] = false,
			["buffsDisableCircle"] = true,
			["trinketSize"] = 42,
			["cooldownDisableCircle"] = true,
			["targetBorder"] = false,
			["x"] = 951.501619357281,
			["bottomMargin"] = 18,
			["castBarTexture"] = "GennUI Melli",
			["classIconWidthFactor"] = 1,
			["drFont"] = "Futura PT Medium",
			["trinketFont"] = "Futura PT Medium",
			["healthBarFont"] = "Futura PT Medium",
			["castBarBorderStyle"] = "Gladdy Tooltip squared",
			["castBarIconStyle"] = "Interface\\AddOns\\Gladdy\\Images\\Border_Gloss",
			["petEnabled"] = false,
			["racialSize"] = 42,
			["powerBarBorderStyle"] = "Gladdy Tooltip squared",
			["npTotemPlatesBorderStyle"] = "Interface\\AddOns\\Gladdy\\Images\\Border_Gloss",
			["racialDisableCircle"] = true,
			["racialBorderStyle"] = "Interface\\AddOns\\Gladdy\\Images\\Border_Gloss",
			["cooldownFont"] = "Futura PT Medium",
			["classIconSize"] = 42,
			["trinketDisableCircle"] = true,
			["healthBarTexture"] = "GennUI Melli",
			["healthBarHeight"] = 35,
			["powerBarTexture"] = "GennUI Melli",
			["powerShowSpec"] = false,
			["castBarFont"] = "Futura PT Medium",
			["powerBarFont"] = "Futura PT Medium",
			["trinketWidthFactor"] = 1,
			["powerBarBorderSize"] = 2,
			["classIconBorderStyle"] = "Interface\\AddOns\\Gladdy\\Images\\Border_Gloss",
			["petHealthBarFont"] = "Futura PT Medium",
		},
	},
	db:SetProfile("GennUI")
end
end
