local E, L, V, P, G = unpack(ElvUI);
local GNUI = E:GetModule("GennUI");

function GNUI:LoadBWProfile()
BigWigsClassicDB = {
	["namespaces"] = {
		["BigWigs_Plugins_Victory"] = {
		},
		["BigWigs_Plugins_Alt Power"] = {
		},
		["BigWigs_Plugins_BossBlock"] = {
			["profiles"] = {
				["Default"] = {
					["blockTalkingHeads"] = {
						nil, -- [1]
						false, -- [2]
						false, -- [3]
						[5] = false,
					},
				},
			},
		},
		["BigWigs_Plugins_Sounds"] = {
		},
		["BigWigs_Plugins_AutoReply"] = {
			["profiles"] = {
				["Default"] = {
					["disabled"] = false,
					["exitCombat"] = 1,
				},
			},
		},
		["BigWigs_Plugins_Countdown"] = {
			["profiles"] = {
				["Default"] = {
					["fontName"] = "Futura PT Medium",
				},
			},
		},
		["BigWigs_Plugins_AltPower"] = {
			["profiles"] = {
				["Default"] = {
					["fontName"] = "Futura PT Medium",
					["lock"] = true,
					["position"] = {
						"BOTTOMLEFT", -- [1]
						"BOTTOMLEFT", -- [2]
						461.1116943359375, -- [3]
						145.6666412353516, -- [4]
					},
				},
			},
		},
		["BigWigs_Plugins_Colors"] = {
		},
		["BigWigs_Plugins_Raid Icons"] = {
		},
		["BigWigs_Plugins_InfoBox"] = {
			["profiles"] = {
				["Default"] = {
					["posx"] = 313.2445437796887,
					["posy"] = 227.5557566324824,
				},
			},
		},
		["BigWigs_Plugins_Bars"] = {
			["profiles"] = {
				["Default"] = {
					["outline"] = "OUTLINE",
					["BigWigsAnchor_width"] = 170,
					["BigWigsEmphasizeAnchor_height"] = 7.999993801116943,
					["fontName"] = "Futura PT Medium",
					["BigWigsAnchor_height"] = 8.000030517578125,
					["fontSize"] = 12,
					["BigWigsAnchor_y"] = 730,
					["spacing"] = 12,
					["BigWigsEmphasizeAnchor_y"] = 176.3198593401939,
					["texture"] = "GennUI Melli",
					["barStyle"] = "AddOnSkins Half-Bar",
					["BigWigsAnchor_x"] = 350,
					["fontSizeEmph"] = 12,
					["BigWigsEmphasizeAnchor_x"] = 829.155137716938,
					["emphasizeTime"] = 10,
					["BigWigsEmphasizeAnchor_width"] = 180.0000457763672,
				},
			},
		},
		["BigWigs_Plugins_Super Emphasize"] = {
		},
		["BigWigs_Plugins_Wipe"] = {
		},
		["BigWigs_Plugins_Statistics"] = {
		},
		["BigWigs_Plugins_Messages"] = {
			["profiles"] = {
				["Default"] = {
					["emphFontName"] = "Futura PT Medium",
					["fontName"] = "Futura PT Medium",
				},
			},
		},
		["LibDualSpec-1.0"] = {
		},
		["BigWigs_Plugins_Pull"] = {
		},
		["BigWigs_Plugins_Proximity"] = {
			["profiles"] = {
				["Default"] = {
					["fontSize"] = 14,
					["fontName"] = "Futura PT Medium",
					["width"] = 150.0000305175781,
					["posy"] = 160,
					["posx"] = 450,
					["lock"] = true,
					["height"] = 104.4443206787109,
				},
			},
		},
	},
	["profileKeys"] = {
	},
	["profiles"] = {
		["Default"] = {
		},
	},
}
BigWigsIconClassicDB = {
	["hide"] = true,
}
BigWigsStatsClassicDB = {
}
end